<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package moduagency
 */

get_header(); ?>
<?php
/**
* Hook - moduagency_page_container_start.
*
* @hooked moduagency_page_wrp_container_start - 10
* @hooked moduagency_page_column - 20
*/
do_action( 'moduagency_page_container_start', esc_attr( moduagency_get_option('blog_layout') ) );
?>	
	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) : ?>

		
			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
        /**
        * Hook - moduagency_page_container_end.
        *
        * @hooked moduagency_page_column_end - 10
        * @hooked moduagency_page_sidebar - 20
		* @hooked moduagency_page_wrp_container_end - 30
        */
        do_action( 'moduagency_page_container_end',esc_attr( moduagency_get_option('blog_layout') ) );
     ?>	 
<?php

get_footer();
