<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package moduagency
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
	
		<?php
		if ( is_singular() ) :
			the_title( '<h2 class="entry-title">', '</h2>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		?>
		
		
       <?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php
			
				moduagency_posted_on();
				
			?>
		</div><!-- .entry-meta -->
		<?php endif; ?>

	
	<?php
		/**
		* Hook - moduagency_posts_blog_media.
		*
		*/
		do_action( 'moduagency_posts_blog_media' );
    ?>	
	<div class="entry-content">
		<?php
		
			if ( moduagency_get_option('blog_loop_content_type') == 'excerpt-only' ) :
				the_excerpt();
			else:
				the_content( sprintf(
				/* translators: string. */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'moduagency' ),
				get_the_title()
				) );
			endif;
			
		?>
        <div class="pull-right tags-wrp">
        	<?php moduagency_entry_footer(); ?>
        </div>
        <div class="clearfix"></div>
	</div><!-- .entry-content -->


</article><!-- #post-<?php the_ID(); ?> -->
